<template>
  <v-container>
    <div id="chart" align="center">
      <apexchart type="line" :width="width" :height="height" :options="chartOptions" :series="series"></apexchart>
    </div>
  </v-container>
</template>
<script>
export default {
  name: 'ChartLine',
  props: {
    'title': { default: '', type: String },
    'titleX': { default: '', type: String },
    'titleY': { default: '', type: String },
    'width': { default: '100%', type: String },
    'height': { default: 350, type: Number },
    'series': { type: Array },
    'categories': { type: Array },
  },
  data() {
    return {
      chartOptions: {
        chart: {
          height: 350,
          group: 'social',
          type: 'line',
          toolbar: {
            show: true,
            tools: {
              download: true,
              selection: false,
              zoom: false,
              zoomin: false,
              zoomout: false,
              pan: false,
            },
          },
        },
        title: {
          text: this.title,
          align: 'center',
        },
        colors: ['#B1EEAF', '#96C0FF'],
        xaxis: {
          categories: this.categories,
          title: {
            text: this.titleX,
            style: {
              color: '#909399',
            },
          },
        },
        markers: {
          size: 6,
          colors: ['#B1EEAF', '#96C0FF'],
          strokeColors: '#ffffff',
          strokeWidth: 2,
          hover: {
            size: 9,
          },
        },
        yaxis: {
          title: {
            text: this.titleY,
            style: {
              color: '#909399',
            },
          },
        },
        legend: {
          position: 'bottom',
        },
        dataLabels: {
          enabled: true,
          style: {
            fontSize: '10px',
            colors: ['#999999'],
          },
        },
      },
    };
  },
};
</script>
